Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for TCP/IP HL7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.hl7.framework.structure.segment
Class SFT

    java.lang.Object
      com.stc.connector.hl7.framework.structure.component.GenericComponentImpl
          com.stc.connector.hl7.framework.structure.segment.GenericSegmentImpl
              com.stc.connector.hl7.framework.structure.segment.SFT

All Implemented Interfaces:
  Component, Segment

    public class SFT

extends GenericSegmentImpl
implements Segment

This segment provides additional information about the software product(s) used as a Sending Application. The primary purpose of this segment is for diagnostic use. There may be additional uses per site-specific agreements. It is available since version 2.5.

Represents an HL7 SFT message segment. This segment has the following fields:

SFT-1: Software Vendor Organization (XON)
SFT-2: Software Certified Version or Release Number (ST)
SFT-3: Software Product Name (ST)
SFT-4: Software Binary ID (ST)
SFT-5: Software Product Information (TX)
SFT-6: Software Install Date (TS)

Version:
  cvs revision: $Revision: 1.3 $ Last Modified: $Date: 2005/09/03 06:28:38 $
Author:
  Harry Liu

Field Summary
`static java.lang.String` | `version`

Constructor Summary
`SFT(Message message, Field[] fields)` Constructor for SFT.
`SFT(Message message, java.lang.String content)` Constructor for SFT.

Method Summary
`Field` | `getSeq00SegmentName()` Method getSeq00SegmentName.
`Field` | `getSeq01SoftwareVendorOrganization()` Method getSeq01SoftwareVendorOrganization.
`Field` | `getSeq02SoftwareCertifiedVersionOrReleaseNumber()` Method getSeq02SoftwareCertifiedVersionOrReleaseNumber.
`Field` | `getSeq03SoftwareProductName()` Method getSeq03SoftwareProductName.
`Field` | `getSeq04SoftwareBinaryID()` Method getSeq04SoftwareBinaryID.
`Field` | `getSeq05SoftwareProductInformation()` Method getSeq05SoftwareProductInformation.
`Field` | `getSeq06SoftwareInstallDate()` Method getSeq06SoftwareInstallDate.
`void` | `marshal()` Method marshal.
`void` | `unmarshal()` Method unmarshal.
`void` | `validate(ComponentSpec componentSpec)` Method validate.

Methods inherited from class com.stc.connector.hl7.framework.structure.segment.GenericSegmentImpl
`getFields, setFields, toXMLString`

Methods inherited from class com.stc.connector.hl7.framework.structure.component.GenericComponentImpl
`getContent, getMessage, getName, getStatus, setContent, setMessage, setName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.stc.connector.hl7.framework.structure.segment.Segment
`getFields`

Methods inherited from interface com.stc.connector.hl7.framework.structure.component.Component
`getContent, getMessage, getName, setContent, setName, toXMLString`

Field Detail

### version

    public static final java.lang.String version

See Also:
  Constant Field Values

Constructor Detail

### SFT

    public SFT(Message message,
               java.lang.String content)
        throws HL7ApplicationException

  Constructor for SFT.

  Parameters:
    `message` -
    `content` -
  Throws:
    `HL7ApplicationException`

### SFT

    public SFT(Message message,
               Field[] fields)
        throws HL7ApplicationException

  Constructor for SFT.

  Parameters:
    `message` -
    `fields` -
  Throws:
    `HL7ApplicationException`

Method Detail

### marshal

    public void marshal()
                 throws HL7ApplicationException

  Description copied from interface: `Component`
  Method marshal. Marshal the corresponding structure into content. Once the structure is modified, to refresh the content against the modified structure, this method should be called.

  Specified by:
    `marshal` in interface `Component`
  Overrides:
    `marshal` in class `GenericSegmentImpl`
  Throws:
    `HL7ApplicationException`
  See Also:
    `Component.marshal()`

### unmarshal

    public void unmarshal()
                   throws HL7ApplicationException

  Description copied from interface: `Component`
  Method unmarshal. Un-Marshal the content into corresponding structure. Once the content is modified, to refresh the corresponding structure against the modified content, this method should be called.

  Specified by:
    `unmarshal` in interface `Component`
  Overrides:
    `unmarshal` in class `GenericSegmentImpl`
  Throws:
    `HL7ApplicationException`
  See Also:
    `Component.unmarshal()`

### getSeq00SegmentName

    public Field getSeq00SegmentName()

  Method getSeq00SegmentName.

  Returns:
    Field

### getSeq01SoftwareVendorOrganization

    public Field getSeq01SoftwareVendorOrganization()

  Method getSeq01SoftwareVendorOrganization.

  Returns:
    Field

### getSeq02SoftwareCertifiedVersionOrReleaseNumber

    public Field getSeq02SoftwareCertifiedVersionOrReleaseNumber()

  Method getSeq02SoftwareCertifiedVersionOrReleaseNumber.

  Returns:
    Field

### getSeq03SoftwareProductName

    public Field getSeq03SoftwareProductName()

  Method getSeq03SoftwareProductName.

  Returns:
    Field

### getSeq04SoftwareBinaryID

    public Field getSeq04SoftwareBinaryID()

  Method getSeq04SoftwareBinaryID.

  Returns:
    Field

### getSeq05SoftwareProductInformation

    public Field getSeq05SoftwareProductInformation()

  Method getSeq05SoftwareProductInformation.

  Returns:
    Field

### getSeq06SoftwareInstallDate

    public Field getSeq06SoftwareInstallDate()

  Method getSeq06SoftwareInstallDate.

  Returns:
    Field

### validate

    public void validate(ComponentSpec componentSpec)
                  throws HL7ApplicationException

  Description copied from interface: `Component`
  Method validate. This method is supposed to be called after "new xxxStructureImpl()", that is, "new GenericComponentImpl(...)", "new GenericDataTypeImpl(...)", "new GenericFieldImpl(...)", "new GenericSegmentImpl(...)", "new GenericMessageImpl(...)", "new MSH(...)", "new MSA(...)", "new ERR(...)", "new ACK(...)".

  Specified by:
    `validate` in interface `Component`
  Overrides:
    `validate` in class `GenericSegmentImpl`
  Throws:
    `HL7ApplicationException`
  See Also:
    `Component.validate(ComponentSpec)`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for TCP/IP HL7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD